com.versionone.apiclient.filters

## Class FilterTerm

- java.lang.Object
- - com.versionone.apiclient.filters.FilterTerm

- All Implemented Interfaces:
    IFilterTerm

      public class FilterTerm
      extends Object
      implements IFilterTerm

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FilterTerm.Operator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterTerm(IAttributeDefinition def)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `equal(Object... value)`
    `void` | `exists()`
    `String` | `getShortToken()`
    `String` | `getToken()`
    `void` | `greater(Object... value)`
    `void` | `greaterOrEqual(Object... value)`
    `void` | `less(Object... value)`
    `void` | `lessOrEqual(Object... value)`
    `void` | `notEqual(Object... value)`
    `void` | `notExists()`
    `void` | `operate(FilterTerm.Operator newop, IValueProvider provider)`
    `void` | `operate(FilterTerm.Operator newop, Object... value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterTerm

          public FilterTerm(IAttributeDefinition def)

  - ### Method Detail

    - #### getShortToken

          public String getShortToken()
                               throws APIException

      Specified by:
        `getShortToken` in interface `IFilterTerm`
      Returns:
        Short token
      Throws:
        `APIException` - if object has incorrect statement

    - #### getToken

          public String getToken()
                          throws APIException

      Specified by:
        `getToken` in interface `IFilterTerm`
      Returns:
        Full token
      Throws:
        `APIException` - if object has incorrect statement

    - #### equal

          public void equal(Object... value)

    - #### notEqual

          public void notEqual(Object... value)

    - #### greater

          public void greater(Object... value)

    - #### less

          public void less(Object... value)

    - #### lessOrEqual

          public void lessOrEqual(Object... value)

    - #### greaterOrEqual

          public void greaterOrEqual(Object... value)

    - #### exists

          public void exists()

    - #### notExists

          public void notExists()

    - #### operate

          public void operate(FilterTerm.Operator newop,
                              IValueProvider provider)

    - #### operate

          public void operate(FilterTerm.Operator newop,
                              Object... value)

Copyright © 2016 VersionOne, Inc.. All rights reserved.